首页>新闻>苹果资讯>苹果:所有新App必须基于iOS 11、支持iPhone X

苹果:所有新App必须基于iOS 11、支持iPhone X

2018-02-16
8213
来源:IT之家

一直以来,iOS都又一大优势就是新系统推广神速,当最新系统的占比占据绝对主力的时候,苹果就有底气推行最新的开发规定了,而这些限制,正是一直以来iOS优秀体验的最佳保障。比如说今天,苹果就对开发者发出通知,未来所有iOS的App都要基于iOS 11开发,且支持iPhone X。


苹果:所有新App必须基于iOS 11、支持iPhone X

 


苹果今天向开发者发送通知,称从2018年4月开始,所有提交给App Store审核的App都需要使用 iOS 11 SDK (软件开发工具包,也就是说,用这个工具包开发的App都相当于为iOS 11量身打造的)编译,而这意味着开发者至少需要使用 Xcode 9 来开发App。
 
除了所有App都需要基于iOS 11开发之外,苹果还强调所有为iPhone设计的iOS App都必须支持iPhone X的Super Retina显示屏。除了分辨率之外,对于刘海屏幕的支持当然也是开发者必须思考的问题了。最后苹果还强调,watchOS 1从4月1日开始将不会收录新的App,所有Watch OS上的App最少都要支持Watch OS 2,新提交的App则必须基于watchOS 4或更新的版本开发。


苹果:所有新App必须基于iOS 11、支持iPhone X

 


这次苹果的这两项规定首先肯定是在鼓励开发者鼓励开发者尽快支持iOS 11的最新特性,比如Core ML、ARKit、相机API 和SiriKit 等。其次也暗示了未来iPhone将有可能全部转向iPhone X这样的刘海屏设计。

有人可能会觉得苹果又在强迫用户和开发者支持高版本系统了,但其实这真的是件好事。不信看看隔壁安卓,现在安卓手机都到8.0系统了,但是不少App却都基于安卓6.0甚至是5.0系统的SDK开发,这也不是因为安卓6.0的市场保有量太大导致开发者不得已而为之,毕竟安卓8.0的SDK开发出来的App也一样支持在安卓6.0上运行。

实际情况是谷歌并没有推行强制性措施,所以很多开发者为了省时间,直接就用老SDK开发新App了,这也导致了安卓应用的低效率,想知道哪些App是基于老版SDK开发的?安卓手机上挨个打开,跑得最慢的那些就是了!

相关文章
  • iPhone 11/XS系列iOS 13-13.3越狱教程

    点此下载unc0ver最新测试版越狱文件保存到你的电脑上的文件夹,并解压缩文档。

  • 苹果关闭 iOS 11.1.2及以下版本刷机验证

    近日,苹果公司关闭了iOS 11.1.1与iOS 11.2的验证通道,想要安装iOS 11.2以下的系统或者降级已经不可能,iOS 11以下的系统只能升级到iOS 11.2和iOS 11.2.1。

  • 苹果宣布:7月起,iOS App必须适配iPhone X刘海屏

    在微软和谷歌召开开发者大会之际,苹果官方今天宣布,从7月份开始,所有iOS App更新必须使用iOS 11 SDK构建,并且必须支持iPhone X的超级视网膜显示器,当然也包括适配刘海屏。

  • 爱思助手iOS11降级iOS10.3.x失败无法开机问题解决办法

    如果您使用爱思助手把手机从iOS 11降级到iOS10.3.x,并且勾选了“保留用户资料刷机”,刷机之后是可能无法开机的或者开机之后资料、应用/功能显示不正常的情况。此时如果不需要保留设备里面的资料,可以直接不勾选“保留用户资料刷机”直接刷iOS10.3.x即可;如果需要保留设备资料,可参看以下解决办法:情况1:从iOS11保资料刷机降级iOS10.3.x失败解决办法:1、使用爱思助手一键刷机,勾选“保留用户资料刷机”重新刷iOS11系统;2...

  • 如何从苹果iOS11降级至iOS10.3.3

    苹果目前尚未关闭iOS10.3.3的验证通道,因此已经升级iOS11正式版的用户,并且想要降级的用户,可以直接降级回iOS10.3.3系统。一旦苹果关闭上述这些版本系统的验证通道,那么将无法再降级,因此想要降级的用户需要对苹果关闭系统验证通道的消息保持密切关注。 下面爱思小编为大家送上iOS11降级iOS10.3.3的方法:降级注意事项:1、先分类备份设备中通讯录、照片等重要资料(注意:只能使用分类备份,全备份是无法从iOS11的备份恢复...